=== debian/control ===
Source: ros-rolling-tracetools
Section: misc
Priority: optional
Maintainer: Christophe Bedard <bedard.christophe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), liblttng-ust-dev, pkg-config, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ros-workspace
Homepage: https://index.ros.org/p/tracetools/
Standards-Version: 3.9.2

Package: ros-rolling-tracetools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblttng-ust-dev, lttng-tools, ros-rolling-ros-workspace
Description: Tracing wrapper for ROS 2.
